# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2019-02-04 07:55
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import ib.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0008_alter_user_username_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='ActionStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(help_text='status of an action (unchecked, valid, eligible, etc.)', max_length=45)),
            ],
            options={
                'db_table': 'ActionStatus',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='ActionType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(help_text='type of action (bid, offer)', max_length=45)),
            ],
            options={
                'db_table': 'ActionType',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='ElectricityPrice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price', models.DecimalField(decimal_places=3, help_text='Electricity Price', max_digits=10)),
            ],
            options={
                'db_table': 'ElectricityPrice',
                'ordering': ('price',),
            },
        ),
        migrations.CreateModel(
            name='Form',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('form', models.CharField(help_text='Form type', max_length=45)),
            ],
            options={
                'db_table': 'Form',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Invoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(help_text='date of invoicing')),
                ('penalty', models.DecimalField(decimal_places=3, default=0.0, help_text='a penalty will be applied equal to the fixed fee', max_digits=10, null=True)),
                ('amount', models.DecimalField(decimal_places=3, default=0.0, help_text='price paid for the energy/service delivery', max_digits=10, null=True)),
                ('fixedFee', models.DecimalField(decimal_places=3, default=0.0, help_text='fixed fee amount', max_digits=10, null=True)),
            ],
            options={
                'db_table': 'Invoice',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='MarketAction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(help_text='date of invoicing')),
                ('actionStartTime', models.DateTimeField(help_text='action start time')),
                ('actionEndTime', models.DateTimeField(help_text='action end time')),
                ('value', models.DecimalField(decimal_places=3, help_text='market session identity number', max_digits=10)),
                ('uom', models.CharField(help_text='unit of measurement', max_length=45)),
                ('price', models.DecimalField(decimal_places=3, help_text='commodity price', max_digits=10)),
                ('deliveryPoint', models.CharField(help_text='delivery point', max_length=45)),
                ('actionTypeid', models.ForeignKey(db_column='ActionType_id', help_text='action type identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.ActionType')),
                ('formid', models.ForeignKey(db_column='Form_id', help_text='energy form identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.Form')),
            ],
            options={
                'db_table': 'MarketAction',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='MarketActionCounterOffer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('exchangedValue', models.DecimalField(decimal_places=3, help_text='Exchange value', max_digits=10)),
                ('marketAction_Bid_id', models.ForeignKey(db_column='MarketAction_Bid_id', help_text='counter bid related to the market action', on_delete=django.db.models.deletion.CASCADE, related_name='bids', to='ib.MarketAction')),
                ('marketAction_Offer_id', models.ForeignKey(db_column='MarketAction_Offer_id', help_text='counter offer related to the market action', on_delete=django.db.models.deletion.CASCADE, related_name='offers', to='ib.MarketAction')),
            ],
            options={
                'db_table': 'MarketActionCounterOffer',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='MarketActor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('companyName', models.CharField(help_text='Company name', max_length=100)),
                ('email', models.EmailField(help_text='email', max_length=254)),
                ('phone', models.CharField(help_text='Phone number', max_length=30)),
                ('representativeName', models.CharField(help_text='Name of company representative', max_length=100)),
                ('vat', models.CharField(help_text='Value Added Tax number', max_length=30)),
            ],
            options={
                'db_table': 'MarketActor',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='MarketActorType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('aggregator', 'Aggregator'), ('dso', 'Dso'), ('generic participant', 'Generic participant'), ('market operator', 'Market operator')], default='dso', help_text='type of market actor ( aggregator, DSO, generic participant)', max_length=100)),
            ],
            options={
                'db_table': 'MarketActorType',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Marketplace',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dSOid', models.ForeignKey(db_column='DSO_id', help_text='DSO identity number', on_delete=django.db.models.deletion.CASCADE, related_name='marketplace_dso', to='ib.MarketActor')),
                ('marketOperatorid', models.ForeignKey(db_column='MarketOperator_id', help_text='market Operator identity number', on_delete=django.db.models.deletion.CASCADE, related_name='marketplace_operator', to='ib.MarketActor')),
            ],
            options={
                'db_table': 'Marketplace',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Marketplace_has_MarketActor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('marketActor', models.ForeignKey(db_column='MarketActor_id', help_text='MarketActor identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.MarketActor')),
                ('marketplace', models.ForeignKey(db_column='Marketplace_id', help_text='MarketPlace identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.Marketplace')),
            ],
            options={
                'db_table': 'Marketplace_has_MarketActor',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='MarketServiceType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('energy', 'Energy'), ('ancillary-services', 'Ancillary-services'), ('balancing', 'Balancing')], default='energy', help_text='type of market (energy, ancillary services)', max_length=100)),
            ],
            options={
                'db_table': 'MarketServiceType',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='MarketSession',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sessionStartTime', models.DateTimeField(help_text='session Start time')),
                ('sessionEndTime', models.DateTimeField(help_text='session end time')),
                ('deliveryStartTime', models.DateTimeField(help_text='delivery start time')),
                ('deliveryEndTime', models.DateTimeField(help_text='delivery end time')),
                ('clearingPrice', models.IntegerField(help_text='equilibribrium price resulting from the market clearing process', null=True)),
                ('formid', models.ForeignKey(db_column='Form_id', help_text='energy form identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.Form')),
                ('marketplaceid', models.ForeignKey(db_column='Marketplace_id', help_text='MarketPlace identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.Marketplace')),
            ],
            options={
                'db_table': 'MarketSession',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='ReferencePrice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price', models.DecimalField(decimal_places=3, help_text='commodity reference price', max_digits=10)),
                ('validityStartTime', models.DateTimeField(help_text='validity start time for the reference price')),
                ('validityEndTime', models.DateTimeField(help_text='validity end time for the reference price')),
                ('formId', models.ForeignKey(db_column='Form_id', help_text='energy form identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.Form')),
                ('marketplaceId', models.ForeignKey(db_column='Marketplace_id', help_text='marketplace identity number where to apply the reference price', on_delete=django.db.models.deletion.CASCADE, to='ib.Marketplace')),
            ],
            options={
                'db_table': 'ReferencePrice',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Rule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(help_text='Catalyst title', max_length=10000)),
                ('description', models.CharField(help_text='description', max_length=10000)),
                ('timestamp', models.DateTimeField(help_text='timestamp')),
                ('value', models.DecimalField(decimal_places=3, help_text='value', max_digits=10)),
            ],
            options={
                'db_table': 'Rule',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='SessionStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(max_length=45)),
            ],
            options={
                'db_table': 'SessionStatus',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='SG_Consumption',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Customer_Number', models.CharField(max_length=30)),
                ('Customer_Name', models.CharField(max_length=64)),
                ('Date', models.CharField(max_length=10)),
                ('Measuring_Period_Duration', models.CharField(max_length=5)),
                ('Value_Identifier', models.CharField(max_length=10)),
                ('Unique_cut_No', models.CharField(max_length=5)),
                ('Unique_CHA_No', models.CharField(max_length=64)),
                ('Device_ID', models.CharField(max_length=10)),
                ('Measurements', ib.models.ListField()),
                ('Port_Number', models.CharField(max_length=5)),
                ('Unit', models.CharField(max_length=10)),
                ('Channel_Name', models.CharField(max_length=10)),
                ('Timestamp', models.CharField(max_length=8)),
                ('Transformer_Ratio', models.CharField(max_length=5)),
            ],
            options={
                'db_table': 'sg_consumption',
                'ordering': ('Date',),
            },
        ),
        migrations.CreateModel(
            name='SG_Generation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Customer_Number', models.CharField(max_length=30)),
                ('Customer_Name', models.CharField(max_length=64)),
                ('Date', models.CharField(max_length=10)),
                ('Measuring_Period_Duration', models.CharField(max_length=5)),
                ('Value_Identifier', models.CharField(max_length=10)),
                ('Unique_cut_No', models.CharField(max_length=5)),
                ('Unique_CHA_No', models.CharField(max_length=64)),
                ('Device_ID', models.CharField(max_length=10)),
                ('Measurements', ib.models.ListField()),
                ('Port_Number', models.CharField(max_length=5)),
                ('Unit', models.CharField(max_length=10)),
                ('Channel_Name', models.CharField(max_length=10)),
                ('Timestamp', models.CharField(max_length=8)),
                ('Transformer_Ratio', models.CharField(max_length=5)),
            ],
            options={
                'db_table': 'sg_generation',
                'ordering': ('Date',),
            },
        ),
        migrations.CreateModel(
            name='TimeFrame',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('intra_day', 'Intra_day'), ('day_ahead', 'Day_ahead'), ('real_time', 'Real_time')], default='intra_day', help_text='time frame type (day-ahead, intra-day, real-time)', max_length=100)),
            ],
            options={
                'db_table': 'TimeFrame',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dateTime', models.DateTimeField(help_text='transaction date')),
                ('marketActionCounterOfferid', models.ForeignKey(db_column='MarketActionCounterOffer_id', help_text='identity number of the related row in MarketActionCounterOffer', on_delete=django.db.models.deletion.CASCADE, to='ib.MarketActionCounterOffer')),
            ],
            options={
                'db_table': 'Transaction',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='UserActorRel',
            fields=[
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('status', models.SmallIntegerField(choices=[(-1, 'unknown'), (1, 'valid'), (0, 'invalid')], default=-1, max_length=1)),
                ('actor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ib.MarketActor')),
            ],
            options={
                'db_table': 'UserActorRel',
            },
        ),
        migrations.AddField(
            model_name='marketsession',
            name='sessionStatusid',
            field=models.ForeignKey(db_column='SessionStatus_id', help_text='session status identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.SessionStatus'),
        ),
        migrations.AddField(
            model_name='marketservicetype',
            name='timeFrameid',
            field=models.ForeignKey(db_column='TimeFrame_id', on_delete=django.db.models.deletion.CASCADE, to='ib.TimeFrame'),
        ),
        migrations.AddField(
            model_name='marketplace',
            name='marketServiceTypeid',
            field=models.ForeignKey(db_column='MarketServiceType_id', help_text='description of the location', on_delete=django.db.models.deletion.CASCADE, to='ib.MarketServiceType'),
        ),
        migrations.AddField(
            model_name='marketactor',
            name='marketActorTypeid',
            field=models.ForeignKey(db_column='MarketActorType_id', help_text='market actor type identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.MarketActorType'),
        ),
        migrations.AddField(
            model_name='marketaction',
            name='marketActorid',
            field=models.ForeignKey(db_column='MarketActor_id', help_text='market actor identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.MarketActor'),
        ),
        migrations.AddField(
            model_name='marketaction',
            name='marketSessionid',
            field=models.ForeignKey(db_column='MarketSession_id', help_text='market session identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.MarketSession'),
        ),
        migrations.AddField(
            model_name='marketaction',
            name='statusid',
            field=models.ForeignKey(db_column='ActionStatus_id', help_text='action status identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.ActionStatus'),
        ),
        migrations.AddField(
            model_name='invoice',
            name='transactionid',
            field=models.ForeignKey(db_column='Transaction_id', help_text='identity number of the related transaction', on_delete=django.db.models.deletion.CASCADE, to='ib.Transaction'),
        ),
    ]
